RecordingTerminatedEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.shared.dvr
Class RecordingTerminatedEvent

    java.lang.Object
      java.util.EventObject
          javax.tv.service.selection.ServiceContextEvent
              org.ocap.shared.dvr.RecordingTerminatedEvent

All Implemented Interfaces:
  Serializable

    public class RecordingTerminatedEvent

extends ServiceContextEvent

An Event Notifying that recording has terminated for the `ServiceContext`. This event is generated by a `ServiceContext` that is presenting a time-shifted service or a service that is being recorded. The presentation is not yet terminated as the playback point is time-delayed. This event is generated only when the playback point is not the same as the live point. A `PresentationTerminatedEvent` will be generated when the playback point catches up with the point of record termination.

See Also:
  Serialized Form

Field Summary
`static int` | `ACCESS_WITHDRAWN` Reason code: Access to the service or some component of it has been withdrawn by the system.
`static int` | `RESOURCES_REMOVED` Reason code: Resources needed to record the service have been removed.
`static int` | `SCHEDULED_STOP` Reason code: The recording was terminated normally as scheduled.
`static int` | `SERVICE_VANISHED` Reason code: The service vanished from the network.
`static int` | `USER_STOP` Reason code: The user requested that the recording be stopped.

Constructor Summary
`RecordingTerminatedEvent(ServiceContext source, int reason)` Constructs the event.

Method Summary
`int` | `getReason()` Returns the reason for the recordings termination.

Methods inherited from class javax.tv.service.selection.ServiceContextEvent
`getServiceContext`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SERVICE_VANISHED

    public static final int SERVICE_VANISHED

  Reason code: The service vanished from the network.

  See Also:
    Constant Field Values

### RESOURCES_REMOVED

    public static final int RESOURCES_REMOVED

  Reason code: Resources needed to record the service have been removed. Will be generated if the `ServiceContext` stop method is called.

  See Also:
    Constant Field Values

### ACCESS_WITHDRAWN

    public static final int ACCESS_WITHDRAWN

  Reason code: Access to the service or some component of it has been withdrawn by the system. An example of this is the end of a free preview period for IPPV content.

  See Also:
    Constant Field Values

### SCHEDULED_STOP

    public static final int SCHEDULED_STOP

  Reason code: The recording was terminated normally as scheduled.

  See Also:
    Constant Field Values

### USER_STOP

    public static final int USER_STOP

  Reason code: The user requested that the recording be stopped. Also, if the `RecordingRequest` stop method is called.

  See Also:
    Constant Field Values

Constructor Detail

### RecordingTerminatedEvent

    public RecordingTerminatedEvent(ServiceContext source,
                                    int reason)

  Constructs the event.

  Parameters:
    `source` - The `ServiceContext` that generated the event.
    `reason` - The reason the recording terminated

Method Detail

### getReason

    public int getReason()

  Returns the reason for the recordings termination.

  Returns:
    Termination reason; see constants in this class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD